Subject: Re: [PATCH][NET_SCHED] sch_sfq: fix queue limiting while enqueuing

From: Jarek Poplawski <[email-masked]>
Date: Tue, 29 Apr 2008 22:53:41 +0200

On Mon, Apr 28, 2008 at 04:58:37PM +0200, Jarek Poplawski wrote:
...
> Yes, a new parameter looks like the safest choice. I'll only have to
> re-think first the possible reason for this strange limit...

static inline void sfq_link(struct sfq_sched_data *q, sfq_index x)
{
	sfq_index p, n;
	int d = q->qs[x].qlen + SFQ_DEPTH;
-------------------->^^^^^^^^

	p = d;
	n = q->dep[d].next;
...

So it's really by design! (I don't know why I missed this, and why
it didn't break my lame test...)

Thanks again for stopping this disaster,
Jarek P.